Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QDial

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QDial class reference

### Public Functions

- QDial ( int minValue, int maxValue, int pageStep, int value, QWidget * parent = 0, const char * name = 0 )
- QDial ( QWidget * parent, const char * name )

### Signals

- void dialMoved ( int value )
- void dialPressed ()
- void dialReleased ()

## Member Function Documentation

### QDial::QDial ( int minValue, int maxValue, int pageStep, int value, QWidget * parent = 0, const char * name = 0 )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QDial::QDial ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### void QDial::dialMoved ( int value ) `[signal]`

Use QAbstractSlider::sliderMoved() instead.

### void QDial::dialPressed () `[signal]`

Use QAbstractSlider::sliderPressed() instead.

### void QDial::dialReleased () `[signal]`

Use QAbstractSlider::sliderReleased() instead.